Skip to main content
POST
/
organizations
/
{id}
/
domains
Add organization domain
curl --request POST \
  --url https://api.wacht.dev/organizations/{id}/domains \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --cookie session_id= \
  --data domain=example.com
{
  "status": 200,
  "message": "",
  "data": {
    "id": "888888888888888888",
    "organization_id": "123456789012345678",
    "domain": "example.com",
    "verified": true,
    "verification_token": "wacht-verify=abc123def456",
    "verified_at": "2024-01-15T11:00:00Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Session-based authentication using cookies

Path Parameters

id
string<uint64>
required

Organization ID

Body

application/x-www-form-urlencoded
domain
string<hostname>
required

Domain to verify

Example:

"example.com"

Response

Domain added successfully

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)